Index: branches/numpy/anuga/abstract_2d_finite_volumes/general_mesh.py
===================================================================
--- branches/numpy/anuga/abstract_2d_finite_volumes/general_mesh.py	(revision 7202)
+++ branches/numpy/anuga/abstract_2d_finite_volumes/general_mesh.py	(revision 7207)
@@ -194,5 +194,5 @@
             self.edgelengths[i, :] = [l0, l1, l2]
 
-        # Build structure listing which trianglse belong to which node.
+        # Build structure listing which triangles belong to which node.
         if verbose: print 'Building inverted triangle structure'
         self.build_inverted_triangle_structure()
Index: branches/numpy/anuga/abstract_2d_finite_volumes/quantity.py
===================================================================
--- branches/numpy/anuga/abstract_2d_finite_volumes/quantity.py	(revision 7202)
+++ branches/numpy/anuga/abstract_2d_finite_volumes/quantity.py	(revision 7207)
@@ -1187,5 +1187,5 @@
         import types
 
-        msg = 'Indices must be a list, array or None'
+        msg = "'indices' must be a list, array or None"
         assert isinstance(indices, (NoneType, list, num.ndarray)), msg
 
Index: branches/numpy/anuga/geospatial_data/test_geospatial_data.py
===================================================================
--- branches/numpy/anuga/geospatial_data/test_geospatial_data.py	(revision 7202)
+++ branches/numpy/anuga/geospatial_data/test_geospatial_data.py	(revision 7207)
@@ -1721,5 +1721,5 @@
 
             P = G1.get_data_points(absolute=False)
-            expected = [[425835., 137518.]]
+            expected = [[982420., 28233.]]
             msg = 'expected=%s, but\nP=%s' % (str(expected), str(P))
             assert num.allclose(P, expected), msg
Index: branches/numpy/anuga/pmesh/test_mesh_interface.py
===================================================================
--- branches/numpy/anuga/pmesh/test_mesh_interface.py	(revision 7202)
+++ branches/numpy/anuga/pmesh/test_mesh_interface.py	(revision 7207)
@@ -76,5 +76,4 @@
                                           polygon_absolute, closed=False),
                         msg)
-#                        'FAILED!')
 
         # Assuming the order of the region points is known.
Index: branches/numpy/anuga/shallow_water/data_manager.py
===================================================================
--- branches/numpy/anuga/shallow_water/data_manager.py	(revision 7202)
+++ branches/numpy/anuga/shallow_water/data_manager.py	(revision 7207)
@@ -3189,19 +3189,19 @@
               % (num.min(times), num.max(times), len(times.flat))
 
-        q = amplitudes.flatten()
+#        q = amplitudes.flatten()
         name = 'Amplitudes (ha) [cm]'
-        print '  %s in [%f, %f]' % (name, min(q), max(q))
-
-        q = uspeed.flatten()
+        print '  %s in [%f, %f]' % (name, num.min(amplitudes), num.max(amplitudes))
+
+#        q = uspeed.flatten()
         name = 'Speeds (ua) [cm/s]'
-        print '  %s in [%f, %f]' % (name, min(q), max(q))
-
-        q = vspeed.flatten()
+        print '  %s in [%f, %f]' % (name, num.min(uspeed), num.max(uspeed))
+
+#        q = vspeed.flatten()
         name = 'Speeds (va) [cm/s]'
-        print '  %s in [%f, %f]' % (name, min(q), max(q))
-
-        q = elevations.flatten()
+        print '  %s in [%f, %f]' % (name, num.min(vspeed), num.max(vspeed))
+
+#        q = elevations.flatten()
         name = 'Elevations (e) [m]'
-        print '  %s in [%f, %f]' % (name, min(q), max(q))
+        print '  %s in [%f, %f]' % (name, num.min(elevations), num.max(elevations))
 
     # print number_of_latitudes, number_of_longitudes
@@ -3337,6 +3337,6 @@
         print '  Quantities [SI units]:'
         for name in ['stage', 'xmomentum', 'ymomentum', 'elevation']:
-            q = outfile.variables[name][:].flatten()
-            print '    %s in [%f, %f]' % (name, min(q), max(q))
+            q = outfile.variables[name][:]    # .flatten()
+            print '    %s in [%f, %f]' % (name, num.min(q), num.max(q))
 
     outfile.close()
@@ -7363,5 +7363,5 @@
             points = num.ascontiguousarray(num.concatenate((x[:,num.newaxis],
                                                             y[:,num.newaxis]),
-                                                           axis=1))
+                                                            axis=1))
             point_indices = inside_polygon(points, polygon)
 
Index: branches/numpy/anuga/shallow_water/shallow_water_domain.py
===================================================================
--- branches/numpy/anuga/shallow_water/shallow_water_domain.py	(revision 7202)
+++ branches/numpy/anuga/shallow_water/shallow_water_domain.py	(revision 7207)
@@ -913,5 +913,6 @@
         """
         
-        boundary_flows, total_boundary_inflow, total_boundary_outflow = self.compute_boundary_flows() 
+        (boundary_flows, total_boundary_inflow,
+         total_boundary_outflow) = self.compute_boundary_flows() 
         
         s = '---------------------------\n'        
Index: branches/numpy/anuga/shallow_water/tsunami_okada.py
===================================================================
--- branches/numpy/anuga/shallow_water/tsunami_okada.py	(revision 7202)
+++ branches/numpy/anuga/shallow_water/tsunami_okada.py	(revision 7207)
@@ -215,5 +215,5 @@
             yrec=x
             for i in range(0,len(zrec[0])):
-                if (num.any(zrec[0][i]==yrec) and num.any(zrec[1][i]==xrec)):
+                if (num.all(zrec[0][i]==yrec) and num.all(zrec[1][i]==xrec)):
                     Z=zrec[2][i]
                     Z=0.001*Z
Index: branches/numpy/anuga/utilities/interp.py
===================================================================
--- branches/numpy/anuga/utilities/interp.py	(revision 7202)
+++ branches/numpy/anuga/utilities/interp.py	(revision 7207)
@@ -138,5 +138,5 @@
     """
     import arrayfns
-    import numpy.ma MA
+    import numpy.ma as MA
     import numpy as N
     from where_close import where_close