Index: branches/numpy_misc/tools/event_selection/EventSelection.py
===================================================================
--- branches/numpy_misc/tools/event_selection/EventSelection.py	(revision 7213)
+++ branches/numpy_misc/tools/event_selection/EventSelection.py	(revision 7214)
@@ -53,5 +53,5 @@
 # program name and version
 APP_NAME = 'EventSelection'
-APP_VERSION = '1.0'
+APP_VERSION = '1.1'
 
 # name of the configuration filename
@@ -803,11 +803,8 @@
             quake_ID = self.txtQuakeID.GetValue()
             if len(quake_ID) == 0:
-                self.error('You must enter a quake ID first')
-                return
-            try:
-                quake_ID = int(quake_ID)
-            except:
-                self.error("You must enter a Quake ID integer")
-                return
+                self.error("You must enter a quake ID by clicking in "
+                           "the 'list' result box")
+                return
+            quake_ID = int(quake_ID)
 
             region_select = self.cbRegion.GetValue()
@@ -891,45 +888,4 @@
                 filenames.append(filename)
                 
-## No longer generate the python data file
-##            # write data to the file
-##            urs_filename = '%s/%s' % (ResultSubdir, URSDataFilename % quake_ID)
-##            try:
-##                out_fd = open(urs_filename, "w")
-##            except IOError, msg:
-##                self.error("Error opening output file %s': %s" %
-##                           (urs_filename, msg))
-##                return
-##            if last_weight and filenames:
-##                out_fd.write('# Data for region %s,\n'
-##                             '#          hazard %d,\n'
-##                             '#          min height %.2f,\n'
-##                             '#          max height %.2f,\n'
-##                             '#          quake ID %d\n' %
-##                             (Region, GaugeNumber, MinimumHeight,
-##                              MaximumHeight, quake_ID))
-##                out_fd.write('# Generated on %s.\n' % time.asctime(time.localtime()))
-##                out_fd.write('\n')
-##                out_fd.write('import os.path\n')
-##                out_fd.write('\n')
-##                out_fd.write('def getInfo(base_directory):\n')
-##                out_fd.write('    """\n')
-##                out_fd.write('    Return the weight factor and list of URS data filenames\n')
-##                out_fd.write('\n')
-##                out_fd.write('        (weight_factor, [filenames]) <- get_urs_data(base_directory)\n')
-##                out_fd.write('\n')
-##                out_fd.write('    where base_directory is the path to the mux files.\n')
-##                out_fd.write('    """\n')
-##                out_fd.write('\n')
-##                out_fd.write('    weight_factor = %f\n' % last_weight)
-##                out_fd.write('    mux_filenames = [')
-##                if filenames:
-##                    for fn in filenames[:-1]:
-##                        out_fd.write('"%%s" %% os.path.join(base_directory, "%s"),\n                     ' % fn)
-##                    out_fd.write('"%%s" %% os.path.join(base_directory, "%s")\n                    ' % filenames[-1])
-##                out_fd.write(']\n')
-##                out_fd.write('\n')
-##                out_fd.write('    return (weight_factor, mux_filenames)\n')
-##            out_fd.close() 
-            
         ######
         # Call the get_grid function.
@@ -939,11 +895,8 @@
             quake_ID = self.txtQuakeID.GetValue()
             if len(quake_ID) == 0:
-                self.error('You must enter a quake ID first')
-                return
-            try:
-                quake_ID = int(quake_ID)
-            except:
-                self.error("You must enter a Quake ID")
-                return
+                self.error("You must enter a quake ID by clicking in "
+                           "the 'list' result box")
+                return
+            quake_ID = int(quake_ID)
 
             region_select = self.cbRegion.GetValue()
@@ -963,4 +916,5 @@
             multimux_dir = os.path.join(BaseDirectory, region_dir_name, 'multimux')
             grid_dir = os.path.join(BaseDirectory, region_dir_name, 'static_2m')
+
             # check that the sub-directory has been created
             if ResultSubdir == '' or not os.path.isdir(ResultSubdir):