Index: /anuga_work/publications/boxing_day_validation_2008/patong_validation.tex
===================================================================
--- /anuga_work/publications/boxing_day_validation_2008/patong_validation.tex	(revision 7235)
+++ /anuga_work/publications/boxing_day_validation_2008/patong_validation.tex	(revision 7236)
@@ -798,7 +798,8 @@
 \begin{figure}[ht]
 \begin{center}
-\includegraphics[width=5.0cm,keepaspectratio=true]{Depth_small_transmissive_d0.jpg}
-\includegraphics[width=5.0cm,keepaspectratio=true]{sensitivity_reference.jpg}
-\caption{Simulated inundation versus observed inundation using an inundation threshold of 1cm (left) and 10cm (right). FIXME: NEED Graph for 10cm}
+\includegraphics[width=5.0cm,keepaspectratio=true]{final_1cm.jpg}
+\includegraphics[width=5.0cm,keepaspectratio=true]{final_10cm.jpg}
+\caption{Simulated inundation versus observed inundation using an 
+inundation threshold of 1cm (left) and 10cm (right).}
 \label{fig:inundationcomparison1cm}
 \end{center}
@@ -840,5 +841,5 @@
 \begin{figure}[ht]
 \begin{center}
-\includegraphics[width=7.0cm,keepaspectratio=true]{tide_gauge_locations.jpg}
+\includegraphics[width=7.0cm,keepaspectratio=true]{gauge_locations.jpg}
 \caption{Location of timeseries extracted from the model output}
 \label{fig:gauge_locations}
@@ -866,7 +867,13 @@
 
 
-The estimated depths and flow rates given in Section \ref{sec:eyewitness data} are shown
-together with the modelled depths and flow rates obtained from the model in 
-Table \ref{tab:depth and flow comparisons}.
+The estimated max depths and flow rates given in Section
+\ref{sec:eyewitness data} are shown together with the modelled depths
+and flow rates obtained from the model in Table \ref{tab:depth and
+  flow comparisons}. The minimum depths shown in the model are clearly
+lower than expected and an indication that the tsunami model does not
+predict flow dynamics accurately at this level of detail. However,
+this comparison serves to check that depths and speeds predicted are
+within the range of what is expected.
+
 
 \begin{table}
@@ -919,5 +926,5 @@
 The first study investigated the impact of surface roughness on the
 predicted run-up. According to Schoettle~\cite{schoettle2007}
-appropriate values of Manning's coefficient range from 0.007 to 0.030
+appropriate values of Manning's coefficient range from 0.007 to 0.03
 for tsunami propagation over a sandy sea floor and the reference model
 uses a value of 0.01.  To investigate sensitivity to this parameter,
@@ -1026,7 +1033,7 @@
 \begin{figure}[ht]
 \begin{center}
-\includegraphics[width=3.5cm,keepaspectratio=true]{sensitivity_reference}
-\includegraphics[width=3.5cm,keepaspectratio=true]{sensitivity_minus10}
-\includegraphics[width=3.5cm,keepaspectratio=true]{sensitivity_plus10}
+\includegraphics[width=3.5cm,keepaspectratio=true]{sensitivity_reference_depth}
+\includegraphics[width=3.5cm,keepaspectratio=true]{sensitivity_minus10cm_depth}
+\includegraphics[width=3.5cm,keepaspectratio=true]{sensitivity_plus10cm_depth}
 \caption{Model results with wave height at ANUGA boundary artificially
   modified to asses sensitivities. The first image is the reference
@@ -1045,6 +1052,6 @@
 \begin{center}
 \includegraphics[width=3.5cm,keepaspectratio=true]{sensitivity_reference_speed}
-\includegraphics[width=3.5cm,keepaspectratio=true]{sensitivity_minus10_speed}
-\includegraphics[width=3.5cm,keepaspectratio=true]{sensitivity_plus10_speed}
+\includegraphics[width=3.5cm,keepaspectratio=true]{sensitivity_minus10cm_speed}
+\includegraphics[width=3.5cm,keepaspectratio=true]{sensitivity_plus10cm_speed}
 \caption{The maximal flow speeds for the same model parameterisations found in  Figure \protect \ref{fig:sensitivity_boundary}.}
 \label{fig:sensitivity_boundary_speed}
@@ -1054,6 +1061,6 @@
 \begin{figure}[ht]
 \begin{center}
-\includegraphics[width=3.5cm,keepaspectratio=true]{sensitivity_reference}
-\includegraphics[width=3.5cm,keepaspectratio=true]{sensitivity_nobuildings}
+\includegraphics[width=3.5cm,keepaspectratio=true]{sensitivity_reference_depth}
+\includegraphics[width=3.5cm,keepaspectratio=true]{sensitivity_nobuildings_depth}
 \caption{This figure shows the effect of having buildings as part of
   the elevation data set.  The first image is the reference inundation
@@ -1080,7 +1087,7 @@
 \begin{figure}[ht]
 \begin{center}
-\includegraphics[width=3.5cm,keepaspectratio=true]{sensitivity_reference}
-\includegraphics[width=3.5cm,keepaspectratio=true]{sensitivity_f0003}
-\includegraphics[width=3.5cm,keepaspectratio=true]{sensitivity_f03}
+\includegraphics[width=3.5cm,keepaspectratio=true]{sensitivity_reference_depth}
+\includegraphics[width=3.5cm,keepaspectratio=true]{sensitivity_f0_0003_depth}
+\includegraphics[width=3.5cm,keepaspectratio=true]{sensitivity_f0_03_depth}
 \caption{Model results for different values of Manning's friction
   coefficient. The first image is the reference inundation extent as
@@ -1100,6 +1107,6 @@
 \begin{center}
 \includegraphics[width=3.5cm,keepaspectratio=true]{sensitivity_reference_speed}
-\includegraphics[width=3.5cm,keepaspectratio=true]{sensitivity_f0003_speed}
-\includegraphics[width=3.5cm,keepaspectratio=true]{sensitivity_f03_speed}
+\includegraphics[width=3.5cm,keepaspectratio=true]{sensitivity_f0_0003_speed}
+\includegraphics[width=3.5cm,keepaspectratio=true]{sensitivity_f0_03_speed}
 \caption{The maximal flow speeds for the same model parameterisations found in Figure \protect \ref{fig:sensitivity_friction}.}
 \label{fig:sensitivity_friction_speed}