Index: /anuga_work/production/gold_coast_2009/project.py
===================================================================
--- /anuga_work/production/gold_coast_2009/project.py	(revision 7246)
+++ /anuga_work/production/gold_coast_2009/project.py	(revision 7247)
@@ -34,13 +34,30 @@
     event_number = int(sys.argv[1])
 else:    
-    event_number = 51423    # the event number or the mux file name
-
-event_number_list = [51469, 50863] # To piggy back multiple events
-
-tide = 1.1
+    event_number = 51469    # the event number or the mux file name
+
+event_number_list = [51469, 51392, 50863] # To piggy back multiple events
+
+# Event Details:
+# Event 1 (51469)
+# Source Zone = New Hebrides
+# Return Period = 10 000 years
+# Wave height at 100 m = 2.3 m
+#
+# Event 2 (51392)
+# Source Zone = New Hebrides
+# Return Period = 5000 years
+# Wave height at 100 m = 1.7 m
+#
+# Event 3 (50863)
+# Source Zone = New Hebrides
+# Return Period = 200 years
+# Wave height at 100 m = 0.3 m
+
+tide = 0                # Mean Sea Level = 0,
+                        # Highest Astronomical Tide = 1.1 m for Gold Coast                        
 alpha = 0.1             # smoothing parameter for mesh
-friction=0.01           # manning's friction coefficient
-starttime=0             # start time for simulation
-finaltime=80000         # final time for simulation
+friction = 0.01           # manning's friction coefficient
+starttime = 0             # start time for simulation
+finaltime = 80000         # final time for simulation
 
 setup = 'final'         # This can be one of three values
@@ -69,19 +86,13 @@
 # Used in build_elevation.py
 # Format for ascii grids, as produced in ArcGIS + a projection file
-ascii_grid_filenames = ['GC_DTM_30m',   # Supplied DTM
-                        'grid250m'] # Supplemented data from 2005 250m grid
+ascii_grid_filenames = []
 
 # Format for point is x,y,elevation (with header)
 point_filenames = []
-
-### Add csv header list to all files in point_filenames
-##headerlist = ['x', 'y', 'elevation'] 
-##for f in point_filenames:
-##    add_csv_header(join(topographies_folder, f), headerlist)
 
 # BOUNDING POLYGON - for data clipping and estimate of triangles in mesh
 # Used in build_elevation.py
 # Format for points easting,northing (no header)
-bounding_polygon_filename = 'bounding_polygon_sml.csv'
+bounding_polygon_filename = 'bounding_polygon.csv'
 bounding_polygon_maxarea = 125000
 
@@ -94,5 +105,5 @@
 # LAND - used to set the initial stage/water to be offcoast only
 # Used in run_model.py.  Format for points easting,northing (no header)
-land_initial_conditions_filename = [['initial_conditions_sml.csv', 0]]
+land_initial_conditions_filename = [['initial_conditions.csv', 0]]
 
 # GAUGES - for creating timeseries at a specific point
@@ -104,5 +115,5 @@
 # Used in run_building_inundation.py
 # Format latitude,longitude etc (geographic)
-building_exposure_filename = 'gold_coast_res_clip.csv' # from NEXIS
+building_exposure_filename = '' # from NEXIS
 
 # AREA OF IMAGES - Extent of each image to find out highest runup
@@ -119,9 +130,9 @@
 # Thinned ordering file from Hazard Map (geographic)
 # Format is index,latitude,longitude (with header)
-urs_order_filename = 'urs_order_sml.csv'
+urs_order_filename = 'urs_order.csv'
 
 # Landward bounding points
 # Format easting,northing (no header)
-landward_boundary_filename = 'landward_boundary_sml.csv'
+landward_boundary_filename = 'landward_boundary.csv'
 
 # MUX input filename.
@@ -139,15 +150,6 @@
 #-------------------------------------------------------------------------------
 
-# ASCII export grid for Gold Coast
-xminGold_Coast = 541500
-xmaxGold_Coast = 546000
-yminGold_Coast = 6893500
-ymaxGold_Coast = 6898500
-
-# ASCII export grid for dune study
-xminDune = 536710
-xmaxDune = 556150
-yminDune = 6881125
-ymaxDune = 6926860
+
+
 
 ################################################################################
@@ -258,2 +260,3 @@
 mux_input = join(event_folder, mux_input_filename)
 
+