Index: anuga_work/publications/boxing_day_validation_2008/patong_validation.tex
===================================================================
--- anuga_work/publications/boxing_day_validation_2008/patong_validation.tex	(revision 7241)
+++ anuga_work/publications/boxing_day_validation_2008/patong_validation.tex	(revision 7249)
@@ -71,6 +71,8 @@
 effectiveness of hazard mitigation procedures and the economic impact
 of such measures and the event itself. Here we focus on modelling of
-the physical processes. For discussion on economic and decision based
-models refer to~\cite{} and the references therein.
+the physical processes. 
+%OLE: I commented this out 23 June 2009 as there was no reference.
+%For discussion on economic and decision based
+%models refer to~\cite{} and the references therein.
 
 Various approaches are currently used to assess the potential impact
@@ -130,5 +132,5 @@
 tsunamis pose greatest threat. The resulting lack of data has limited
 the number of field data sets available to validate tsunami
-models. Synolakis et. al~\cite{synolakis07} have developed a set of
+models. Synolakis et al~\cite{synolakis07} have developed a set of
 standards, criteria and procedures for evaluating numerical models of
 tsunami. They propose three analytical solutions to help identify the
@@ -154,5 +156,5 @@
 In this paper we develop a field data benchmark to be used in
 conjunction with the other tests proposed by Synolakis et
-al.~\cite{synolakis07} to validate and verify tsunami models. Unlike
+al~\cite{synolakis07} to validate and verify tsunami models. Unlike
 the aforementioned tests, the proposed benchmark allows evaluation of
 model structure during all three distinctive stages of the evolution
@@ -497,5 +499,5 @@
 deformation from an earthquake at depth. Most approaches model the
 earthquake as a dislocation in a linear, elastic medium. Here we use
-the method of Wang et. al.~\cite{wang03}. One of the main advantages
+the method of Wang et al~\cite{wang03}. One of the main advantages
 of their method is that it allows the dislocation to be located in a
 stratified linear elastic half-space with an arbitrary number of
@@ -537,9 +539,9 @@
 parameters used here to simulate the 2004 Indian Ocean tsunami were
 taken from the slip model G-M9.15 from Chlieh
-et. al.~\cite{chlieh07}. This model was created by inversion of wide
+et al~\cite{chlieh07}. This model was created by inversion of wide
 range of geodetic and seismic data. The slip model consists of 686
 20km x 20km subsegments each with a different slip, strike and dip
 angle. The dip subfaults go from $17.5^0$ in the north and $12^0$ in
-the south. Refer to Chlieh et. al.~\cite{chlieh07} for a detailed
+the south. Refer to Chlieh et al~\cite{chlieh07} for a detailed
 discussion of this model and its derivation. Note that the geodetic
 data used in the validation was also included by~\cite{chlieh07} in
@@ -548,5 +550,5 @@
 show that the crustal deformation and elastic properties model used
 here is at least as valid as the one used by Chlieh
-et. al.~\cite{chlieh07} and can reproduce the observations just as
+et al~\cite{chlieh07} and can reproduce the observations just as
 accurately.
 
@@ -599,8 +601,8 @@
 into local one-dimensional problems. These local Riemann problems are
 then solved using the semi-discrete central-upwind scheme of Kurganov
-et al.~\cite{kurganov01} for solving one-dimensional conservation
+et al~\cite{kurganov01} for solving one-dimensional conservation
 equations. The numerical scheme is presented in detail in Zoppou and
 Roberts~\cite{zoppou99}, Roberts and Zoppou~\cite{roberts00}, and
-Nielsen et al.~\cite{nielsen05}. An important capability of the
+Nielsen et al~\cite{nielsen05}. An important capability of the
 software is that it can model the process of wetting and drying as
 water enters and leaves an area. This means that it is suitable for
@@ -767,6 +769,4 @@
 reasonable
 
-%FIXME (Ole): Perhaps rephrase a bit as the 1cm vs 10cm is hard to
-%understand.  Remove figure using 1cm inundation
 Maximum onshore inundation elevation was computed from the model
 throughout the entire Patong Bay region. 
@@ -798,6 +798,6 @@
 \begin{figure}[ht]
 \begin{center}
-\includegraphics[width=5.0cm,keepaspectratio=true]{final_1cm.jpg}
-\includegraphics[width=5.0cm,keepaspectratio=true]{final_10cm.jpg}
+\includegraphics[width=6.0cm,keepaspectratio=true]{final_1cm.jpg}
+\includegraphics[width=6.0cm,keepaspectratio=true]{final_10cm.jpg}
 \caption{Simulated inundation versus observed inundation using an 
 inundation threshold of 1cm (left) and 10cm (right).}
@@ -843,5 +843,5 @@
 \begin{figure}[ht]
 \begin{center}
-\includegraphics[width=7.0cm,keepaspectratio=true]{gauge_locations.jpg}
+\includegraphics[width=8.0cm,keepaspectratio=true]{gauge_locations.jpg}
 \caption{Location of timeseries extracted from the model output}
 \label{fig:gauge_locations}
@@ -954,6 +954,5 @@
 will have greater impact. However, this value is generally well
 predicted by the generation and propagation models such as
-\textsc{ursga}. See e.g. \cite{} FIXME Toshi Baba's validation study at
-Kuril islands.
+\textsc{ursga}. See e.g.\ \cite{thomas2009}.
 
 
@@ -963,9 +962,7 @@
 The presence of buildings has the greatest influence on the maximum
 on-shore inundation extent. Figure~\ref{fig:sensitivity_nobuildings}
-shows the maximum run-up in the presence and absence of buildings. It
+shows the maximum run-up and associated flow speeds in the presence and absence of buildings. It
 is apparent that the inundation is much more severe when the presence
-of man made structures and buildings are ignored. Maximal flow speeds
-for these two model parameterisations are shown in
-Figure~\ref{fig:sensitivity_nobuildings_speed}.
+of man made structures and buildings are ignored.
 
 \begin{table}
@@ -1032,20 +1029,39 @@
 from the Suranaree University of Technology and Parida Kuneepong for
 supporting this work; and Drew Whitehouse from the Australian National
-University for preparing the animation.
-
+University for preparing the animation of the inundation model.
+
+\clearpage
 \section{Appendix}
-\begin{figure}[ht]
-\begin{center}
-\includegraphics[width=3.5cm,keepaspectratio=true]{sensitivity_reference_depth}
-\includegraphics[width=3.5cm,keepaspectratio=true]{sensitivity_minus10cm_depth}
-\includegraphics[width=3.5cm,keepaspectratio=true]{sensitivity_plus10cm_depth}
+
+This appendix present the images used to asses the model sensitivities described in 
+Section~\ref{sec:sensitivity}.
+
+\begin{figure}[ht]
+\begin{center}
+\includegraphics[width=6cm,keepaspectratio=true]{sensitivity_reference_depth}
+\includegraphics[width=6cm,keepaspectratio=true]{sensitivity_reference_speed}
+\caption{Results from reference model as reported in Section \protect \ref{sec:results}, 
+  i.e.\ including buildings and a friction value of 0.01. The seaward boundary condition is as
+  provided by the URSGA model. The left image shows the maximum
+  modelled depth while the right hand image shows the maximum modelled
+  flow velocities.}
+\label{fig:reference_model}
+\end{center}
+\end{figure}
+
+
+
+\begin{figure}[ht]
+\begin{center}
+\includegraphics[width=6cm,keepaspectratio=true]{sensitivity_minus10cm_depth}
+\includegraphics[width=6cm,keepaspectratio=true]{sensitivity_plus10cm_depth}
 \caption{Model results with wave height at ANUGA boundary artificially
-  modified to asses sensitivities. The first image is the reference
-  inundation extent as reported in Section \protect \ref{sec:results}
-  while the second and third show the inundation results if the wave
-  at the ANUGA boundary is reduced or increased by 10cm
-  respectively. The inundation severity varies in proportion to the
-  boundary waveheight, but the model results are only slightly
-  sensitive to this parameter for the range of values tested.}
+  modified to asses sensitivities. The reference inundation extent is shown in Figure
+  \protect \ref{fig:reference_model} (left).  The left and right images 
+  show the inundation results if the wave at the ANUGA boundary
+  is reduced or increased by 10cm respectively. The inundation
+  severity varies in proportion to the boundary waveheight, but the
+  model results are only slightly sensitive to this parameter for the
+  range of values tested.}
 \label{fig:sensitivity_boundary}
 \end{center}
@@ -1055,8 +1071,10 @@
 \begin{figure}[ht]
 \begin{center}
-\includegraphics[width=3.5cm,keepaspectratio=true]{sensitivity_reference_speed}
-\includegraphics[width=3.5cm,keepaspectratio=true]{sensitivity_minus10cm_speed}
-\includegraphics[width=3.5cm,keepaspectratio=true]{sensitivity_plus10cm_speed}
-\caption{The maximal flow speeds for the same model parameterisations found in  Figure \protect \ref{fig:sensitivity_boundary}.}
+\includegraphics[width=6cm,keepaspectratio=true]{sensitivity_minus10cm_speed}
+\includegraphics[width=6cm,keepaspectratio=true]{sensitivity_plus10cm_speed}
+\caption{The maximal flow speeds for the same model parameterisations
+  found in Figure \protect \ref{fig:sensitivity_boundary}. The
+  reference flow speeds are shown in Figure \protect
+  \ref{fig:reference_model} (right).}
 \label{fig:sensitivity_boundary_speed}
 \end{center}
@@ -1065,13 +1083,14 @@
 \begin{figure}[ht]
 \begin{center}
-\includegraphics[width=3.5cm,keepaspectratio=true]{sensitivity_reference_depth}
-\includegraphics[width=3.5cm,keepaspectratio=true]{sensitivity_nobuildings_depth}
+\includegraphics[width=6cm,keepaspectratio=true]{sensitivity_nobuildings_depth}
+\includegraphics[width=6cm,keepaspectratio=true]{sensitivity_nobuildings_speed}
 \caption{This figure shows the effect of having buildings as part of
-  the elevation data set.  The first image is the reference inundation
-  extent as reported in Section \protect \ref{sec:results} where
-  buildings were included. The second shows the inundation results for
+  the elevation data set. 
+  The left hand image shows the inundation depth results for
   a model entirely without buildings.  As expected, the absence of
   buildings will increase the inundation extent beyond what was
-  surveyed.}
+  surveyed. The right hand image shows the corresponding flow speeds in the absence of buildings.  
+  The reference results are as shown in Figure
+  \protect \ref{fig:reference_model}.}
 \label{fig:sensitivity_nobuildings}
 \end{center}
@@ -1081,22 +1100,11 @@
 \begin{figure}[ht]
 \begin{center}
-\includegraphics[width=3.5cm,keepaspectratio=true]{sensitivity_reference_speed}
-\includegraphics[width=3.5cm,keepaspectratio=true]{sensitivity_nobuildings_speed}
-\caption{The maximal flow speeds for the same model parameterisations
-  found in Figure \protect \ref{fig:sensitivity_nobuildings}.}
-\label{fig:sensitivity_nobuildings_speed}
-\end{center}
-\end{figure}
-
-\begin{figure}[ht]
-\begin{center}
-\includegraphics[width=3.5cm,keepaspectratio=true]{sensitivity_reference_depth}
-\includegraphics[width=3.5cm,keepaspectratio=true]{sensitivity_f0_0003_depth}
-\includegraphics[width=3.5cm,keepaspectratio=true]{sensitivity_f0_03_depth}
+\includegraphics[width=6cm,keepaspectratio=true]{sensitivity_f0_0003_depth}
+\includegraphics[width=6cm,keepaspectratio=true]{sensitivity_f0_03_depth}
 \caption{Model results for different values of Manning's friction
-  coefficient. The first image is the reference inundation extent as
-  reported in Section \protect \ref{sec:results} where the friction
-  value $0.01$ was used across the entire domain while the second and
-  third show the inundation results for friction values of 0.0003 and
+  coefficient shown to asses sensitivities. The reference inundation extent for a 
+  friction value of 0.01 is shown in Figure
+  \protect \ref{fig:reference_model} (left).  The left and right images 
+  show the inundation results for friction values of 0.0003 and
   0.03 respectively. The inundation extent increases for the lower
   friction value while the higher slows the flow and decreases the
@@ -1110,8 +1118,10 @@
 \begin{figure}[ht]
 \begin{center}
-\includegraphics[width=3.5cm,keepaspectratio=true]{sensitivity_reference_speed}
-\includegraphics[width=3.5cm,keepaspectratio=true]{sensitivity_f0_0003_speed}
-\includegraphics[width=3.5cm,keepaspectratio=true]{sensitivity_f0_03_speed}
-\caption{The maximal flow speeds for the same model parameterisations found in Figure \protect \ref{fig:sensitivity_friction}.}
+\includegraphics[width=6cm,keepaspectratio=true]{sensitivity_f0_0003_speed}
+\includegraphics[width=6cm,keepaspectratio=true]{sensitivity_f0_03_speed}
+\caption{The maximal flow speeds for the same model parameterisations
+  found in Figure \protect \ref{fig:sensitivity_friction}. The
+  reference flow speeds are shown in Figure \protect
+  \ref{fig:reference_model} (right).}
 \label{fig:sensitivity_friction_speed}
 \end{center}
Index: anuga_work/publications/boxing_day_validation_2008/tsunami07.bib
===================================================================
--- anuga_work/publications/boxing_day_validation_2008/tsunami07.bib	(revision 7241)
+++ anuga_work/publications/boxing_day_validation_2008/tsunami07.bib	(revision 7249)
@@ -123,5 +123,5 @@
 @ARTICLE{toro92,
   AUTHOR = {E.F. Toro},
-  TITLE = {Reimann problems and the {WAF} method for solving the
+  TITLE = {Riemann problems and the {WAF} method for solving the
 two-dimensional shallow water equations},
   YEAR = {1992},
@@ -1111,2 +1111,9 @@
 PAGES = {793--810}
 }
+
+@TechReport{thomas2009,
+author = {Thomas, C. and Burbidge, D.},
+title = {A Probabilistic Tsunami Hazard Assessment of the Southwest Pacific Nations.},
+institution = {Geoscience Australia Professional Opinion No. 2009/2. GeoCat No. 68193},
+year = {2009}
+}