Index: /DVD_images/extra_files/BatemansBay/README.txt
===================================================================
--- /DVD_images/extra_files/BatemansBay/README.txt	(revision 7264)
+++ /DVD_images/extra_files/BatemansBay/README.txt	(revision 7265)
@@ -3,4 +3,4 @@
 
 If this DVD does not autostart and display a browser page, open the
-file X:\index.htm in your browser, where 'X' is the drive letter of
+file X:\index.html in your browser, where 'X' is the drive letter of
 your DVD drive.
Index: /DVD_images/extra_files/BatemansBay/analysis.html
===================================================================
--- /DVD_images/extra_files/BatemansBay/analysis.html	(revision 7265)
+++ /DVD_images/extra_files/BatemansBay/analysis.html	(revision 7265)
@@ -0,0 +1,111 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
+<html>
+<head>
+  <title>Geoscience Australia</title>
+  <link rel="stylesheet" href="browser_files/style.css">
+  <link REL="SHORTCUT ICON" HREF="browser_files/favicon.ico">
+</head>
+<body>
+  <table cellspacing="10" border="0">
+    <tr>
+      <td>
+        <img src="browser_files/logo.jpg" alt="Australian Government, Geoscience Australia" width="327" height="80" border="0"/>
+      </td>
+      <td width="50">
+        &nbsp;
+      </td>
+      <td>
+        <H1>Tsunami Inundation Models for the BATEMANS BAY region</H1>
+      </td>
+    </tr>
+  </table>
+  <hr>
+
+  <a name="analysis scripts"><h2><b>Analysis Scripts</b></h2></a>
+  There are number of analysis scripts on this disk that you can use to extract information from the SWW files
+  produced by a simulation run.  These scripts are not meant to be the definitive answer on how to get information
+  from SWW files, but are offered as an example of one way to do it.
+  <p>
+  This page describes the scripts and shows how to use them.  Note that due to the ad-hoc nature of the scripts, 
+  you <b>must</b> modify these scripts before they can be used to extract information from any SWW files you
+  generate.
+
+  <a name="export_results_max.py scripts"><h3><b>export_results_max.py</b></h3></a>
+  The <font color="red">export_results_max.py</font> script can be used to create an ASC file that contains the maximum
+  of an ANUGA variable or expression for each point in a user-defined raster on the simulation region.
+  <p>
+  You must change certain values within the <font color="red">export_results_max.py</font> file to get what you want:
+  <ul>
+    <li> You must determine how many SWW files your simulation produced and create as many lines like this:
+<pre><font color="brown">    time_dir1 = '20090505_150430_run_final_0.8_58292_None_kvanputt'
+    time_dir2 = '20090505_150517_run_final_0_58292_None_kvanputt'
+    time_dir3 = '20090505_150711_run_final_0_58280_None_kvanputt'
+    time_dir4 = '20090505_150805_run_final_0.8_58280_None_kvanputt'
+    time_dir5 = '20090505_151322_run_final_0.8_64477_None_kvanputt'
+    time_dir6 = '20090505_151447_run_final_0_64477_None_kvanputt'</font></pre>
+         as necessary.  Then modify the line:
+<pre><font color="brown">    time_dirs = [time_dir1, time_dir2, time_dir3, time_dir4, time_dir5, time_dir6]</font></pre>
+         to include each of the variables you defined above.
+
+    <li> Modify the <b>cellsize</b> value to set the size of the raster you require.  For example:
+<pre><font color="brown">    cellsize = 20		# raster cell size in metres</font></pre>
+
+    <li> Now set the timestep at which you want the raster generated.  Either set the actual timestep required or use 
+         <b>None</b> to indicate that you want the maximum values in the raster over all timesteps:
+<pre><font color="brown">    timestep = 1000
+    #timestep = None		# over all timesteps</font></pre>
+         <p>
+         Note that if you specify a particular timestep here you may not need to include all SWW files in the 
+         <b>time_dirs</b> list above.  For example, if you wanted data from timestep 0 only then you would need
+         to include only the first SWW file in the list.
+
+    <li> If you want to clip the raster to one or more small regions then put the names of the regions of interest
+         into the <b>area</b> list:
+<pre><font color="brown">    area = ['Hobart', 'NW', 'South']</font></pre>
+         Note that the name strings you put into the <b>area</b> list must match the names used in the
+         <font color="red">project.py</font> file.  That is, if you use a name such as 'NW', then the
+         <font color="red">project.py</font> file must have lines like:
+<pre><font color="brown">    xminNW = 548000
+    xmaxNW = 561000
+    yminNW = 5250000
+    ymaxNW = 5258000</font></pre>
+         which set the maximum and minimum eastings and northings that define a rectangular region.
+         <p>
+         If you don't want to clip to a region of interest, then do this:
+<pre><font color="brown">    area = ['All']		# no region of interest</font></pre>
+
+    <li> Now you must decide which variable or expression values you want sampled on your raster.
+         Define a list <b>var</b> that contains strings defining the required variable/expression:
+<pre><font color="brown">    var = ['depth', 'speed']</font></pre>
+         Note that the strings you supply must be defined in the <b>var_equations</b> dictionary
+         prior to your definition of <b>var</b>:
+<pre><font color="brown">    var_equations = {'stage':     'stage',
+                     'momentum':  '(xmomentum**2 + ymomentum**2)**0.5',
+                     'depth':     'stage-elevation',
+                     'speed':     '(xmomentum**2 + ymomentum**2)**0.5/(stage-elevation+1.e-6)',
+                     'elevation': 'elevation' }</font></pre>
+         This dictionary maps your <b>var</b> strings to a variable or expression.
+  </ul>
+
+  <a name="get_timeseries.py"><h3><b>get_timeseries.py</b></h3></a>
+  The <font color="red">get_timeseries.py</font> script is used to get timeseries data for a selection of variable
+  data at one or more gauge points in a simulation.
+  <p>
+  You must change certain values within the <font color="red">get_timeseries.py</font> file to get what you want:
+  <ul>
+    <li> You must determine how many SWW files your simulation produced and create as many lines like this:
+<pre><font color="brown">    time_dir1 = '20090505_150430_run_final_0.8_58292_None_kvanputt'
+    time_dir2 = '20090505_150517_run_final_0_58292_None_kvanputt'
+    time_dir3 = '20090505_150711_run_final_0_58280_None_kvanputt'
+    time_dir4 = '20090505_150805_run_final_0.8_58280_None_kvanputt'
+    time_dir5 = '20090505_151322_run_final_0.8_64477_None_kvanputt'
+    time_dir6 = '20090505_151447_run_final_0_64477_None_kvanputt'</font></pre>
+         as necessary.  Then modify the line:
+<pre><font color="brown">    time_dirs = [time_dir1, time_dir2, time_dir3, time_dir4, time_dir5, time_dir6]</font></pre>
+         to include each of the variables you defined above.
+
+    <li> Make sure that the <b>gauges</b> list in <font color="red">projects.py</font> contains one or more CSV files
+         defining the gauges within the simulation that you want the timeseries data for.
+  </ul>
+</body>
+</html>
Index: /DVD_images/extra_files/BatemansBay/index.html
===================================================================
--- /DVD_images/extra_files/BatemansBay/index.html	(revision 7264)
+++ /DVD_images/extra_files/BatemansBay/index.html	(revision 7265)
@@ -21,22 +21,12 @@
   </table>
   <hr>
-<!--
-  <ul class="navbar">
-    <li><a href="#introduction">Introduction</a>
-    <li><a href="#installing">Installing</a>
-    <li><a href="#simulating">Running</a>
-    <li><a href="#userslist">Mailing list</a>
-    <li><a href="#auxscripts">Auxiliary scripts</a>
-    <li><a href="#FAQ">Frequently Asked Questions</a>
-    <li><a href="#extra">Extra stuff</a>
-  </ul>
--->
 
-  <a name="introduction"<h3><b>Introduction</b></h3></a>
+  <a name="introduction"><h3><b>Introduction</b></h3></a>
+
   The information on this DVD and the associated report is intended to assist emergency managers in developing preparation and
   response plans that can be used during a tsunami threat or emergency.
   <p>
   The Attorney General's Department (AGD) has supported Geoscience Australia (GA) in developing a range of products to support
-  the understanding of tsunami hazard through the Australian Tsunami Warning System Project. The work reported here is intended
+  the understanding of tsunami hazard through the Australian Probabilistic Tsunami Warning System Project. The work reported here is intended
   to further build the capacity of the Jurisdictions in developing inundation models for prioritised locations. 
   <p>
@@ -54,6 +44,10 @@
     <li> The Python scripts used to run the models
   </ul>
+  <p>
+  The input wave data on this disk are all derived from events available in the Australian Tsunami
+  Hazard Map. As this dataset is very large, this DVD only contains the events
+  described in the report.
 
-  <a name="requirements"<h3><b>Requirements</b></h3></a>
+  <a name="requirements"><h3><b>Requirements</b></h3></a>
 
   The tsunami inundation simulations are based on the Open Source software package called ANUGA.
@@ -66,5 +60,5 @@
   we recommend using 64 bit Ubuntu Linux as this operating system can use more than 3GB of memory, whereas Windows XP cannot.
 
-  <a name="installing"<h3><b>Installing ANUGA</b></h3></a>
+  <a name="installing"><h3><b>Installing ANUGA</b></h3></a>
 
   You must install ANUGA according to the <a href="documents/anuga_installation_guide.pdf">Installation Guide</a>.
@@ -72,9 +66,12 @@
   basic understanding of how to install software packages on the operating system of choice. 
 
-  <a name="simulating"<h3><b>How to run a simulation</b></h3></a>
+  <a name="simulating"><h3><b>How to run a simulation</b></h3></a>
 
-  This is how a user should run the model on this DVD.
+  This is how you should run the model on this DVD.
   We assume that you are using Windows and will give examples for that operating system.
-  The translation to Linux is left as an exercise for the student!
+  The translation to Linux should be obvious, but the <a href="#userslist">ANUGA user's mailing list</a>
+  can be used to get help.
+  <p>
+  
   <p>
   <hr align="left" width="100">
@@ -111,24 +108,8 @@
   <hr align="left" width="100">
   <p>
-  At this point you should run the <font color="red">build_elevation.py</font>
-  script to convert the raw elevation data to a set of 'combined_elevation'
-  files ready to be used by the ANUGA system. It is possible that you have not
-  been given the elevation data on the DVD as it is too large. In that case you
-  cannot run the <font color="red">build_elevation.py</font> script and you
-  should skip to the next step.
+  Next, you prepare and execute the model:
   <table class="code"><tr><td>
     cd C:\ANUGA<br>
     cd project<br>
-    python build_elevation.py
-  </td></tr></table>
-  <p>
-  When you get to the point of running the model with your own data, you must
-  run <font color="red">build_elevation.py</font> to recreate the combined elevation files every time
-  you change the elevation data.
-  <p>
-  <hr align="left" width="100">
-  <p>
-  Next, you prepare and execute the model:
-  <table class="code"><tr><td>
     python setup_model.py<br >
     python run_model.py
@@ -137,10 +118,10 @@
   <hr align="left" width="100">
   <p>
-  This should all run to completion, though it may take several days, depending on
+  This should all run to completion though it may take several days, depending on
   the hardware used.
   <p>
-  If you do get an error from <font color="red">setup_model.py</font>
+  If you get an error from <font color="red">setup_model.py</font>
   or <font color="red">run_model.py</font> look for some explanation in the log
-  files, which you should find somewhere under <b>C:\ANUGA\data</b>. Just keep
+  files, which you will find under <b>C:\ANUGA\data</b>. Just keep
   drilling down from that point until you find a directory called <b>outputs</b>.
   The latest directory in <b>outputs</b> should contain a file called <font color="red">screen_error.txt</font>
@@ -149,23 +130,26 @@
   Once the simulation has completed you may view the results using the ANUGA
   viewer as described in the <a href="documents/anuga_installation_guide.pdf">Installation Guide</a> 
-  and <a href="documents/anuga_user_manual.pdf">User Manual</a>, run the script
-  <font color="red">export_results_max.py</font> to generate rasters suitable
-  for GIS mapping, or write dedicated scripts extracting timeseries at selected
-  locations.
-  <p>
-  The input waves are all derived from events available in the Australian Tsunami
-  Hazard Map. As this dataset is very large, this DVD only contains the events
-  described in the report. If other events from the Hazard Map are obtained,
-  the script <font color="red">build_urs_boundary.py</font> has been designed
-  to prepare the associated input wave for ingestion into ANUGA.  This script
-  is documented in the <a href="documents/anuga_user_manual.pdf">User Manual</a>.
+  and <a href="documents/anuga_user_manual.pdf">User Manual</a>.  You may also
+  generate rasters suitable for GIS mapping or write dedicated scripts extracting timeseries at selected
+  locations.  Some hints to help you do this are at the <a href="analysis.html">analysis page</a>.
   <p>
   The ANUGA <a href="documents/anuga_user_manual.pdf">User Manual</a> describes
   how to use the ANUGA system in general and provides some examples of its use.
 
-  <a name="userslist"<h3><b>How to join the ANUGA user's mailing list</b></h3></a>
+  <a name="auxscripts"><h3><b>How to extract data from the simulation output files</b></h3></a>
+
+  After you have run a simulation you may wish to extract information from the generated SWW file.
+  On this disk there are a selection of example analysis scripts that you can use or modify.
+  The <a href="analysis.html">analysis scripts</a> page explains how to use the scripts.
+
+  <a name="modifications"><h3><b>How to modify a simulation</b></h3></a>
+
+  After you have run the supplied simulation you may wish to change it in some way, such as adding improved bathymetry data, for example.
+  The <a href="modifications.html">modifications</a> page explains how to do this.
+
+  <a name="userslist"><h3><b>How to join the ANUGA user's mailing list</b></h3></a>
 
   One of the quickest ways to get your ANUGA questions answered is by asking them on the <b>ANUGA-user</b> mailing list.
-  You can subscribe to the list <a href="https://lists.sourceforge.net/lists/listinfo/anuga-user">here</a>
+  You can <a href="https://lists.sourceforge.net/lists/listinfo/anuga-user">subscribe to the list</a>
   and can view the mailing list <a href="https://sourceforge.net/mailarchive/forum.php?forum_name=anuga-user">archives</a>.
   <p>
@@ -173,14 +157,9 @@
   into a few emails per day.  You can unsubscribe at any time through the subscribe link above.
 
-  <a name="auxscripts"<h3><b>How to use the auxiliary scripts</b></h3></a>
-
-  On this disk there are a selection of auxiliary scripts that you can use to extract various pieces of information
-  from the generated SWW files.  The <a href="auxiliary_scripts.html">auxiliary scripts</a> page explains how to use the scripts.
-
-  <a name="FAQ"<h3><b>Frequently Asked Questions</b></h3></a>
+  <a name="FAQ"><h3><b>Frequently Asked Questions</b></h3></a>
 
   There is a <b>Frequently Asked Questions</b> (FAQ) page at
   <a href="https://datamining.anu.edu.au/anuga/wiki/FrequentlyAskedQuestions">https://datamining.anu.edu.au/anuga/wiki/FrequentlyAskedQuestions</a>.
-  Look in here and search the mailing list archives before asking questions on the ANUGA user's mailing list.
+  Look in there and search the mailing list archives before asking questions on the ANUGA user's mailing list.
   Someone may already have asked your question!
   <p>
Index: /DVD_images/extra_files/BatemansBay/modifications.html
===================================================================
--- /DVD_images/extra_files/BatemansBay/modifications.html	(revision 7265)
+++ /DVD_images/extra_files/BatemansBay/modifications.html	(revision 7265)
@@ -0,0 +1,61 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
+<html>
+<head>
+  <title>Geoscience Australia</title>
+  <link rel="stylesheet" href="browser_files/style.css">
+  <link REL="SHORTCUT ICON" HREF="browser_files/favicon.ico">
+</head>
+<body>
+  <table cellspacing="10" border="0">
+    <tr>
+      <td>
+        <img src="browser_files/logo.jpg" alt="Australian Government, Geoscience Australia" width="327" height="80" border="0"/>
+      </td>
+      <td width="50">
+        &nbsp;
+      </td>
+      <td>
+        <H1>Tsunami Inundation Models for the BATEMANS BAY region</H1>
+      </td>
+    </tr>
+  </table>
+  <hr>
+
+  <a name="modifications"><h2><b>Modifying a simulation</b></h2></a>
+
+  [some introductory text here]
+  <p>
+
+  <a name="project_files"><h3><b>The project scripts</b></h3></a>
+
+  In the <b>project</b> directory are the scripts that control the simulation.  These scripts are:
+  <table class="code">
+    <tr><td><font color="red">project.py</font></td><td>Defines the input data used, where to place output, etc.</td></tr>
+    <tr><td><font color="red">setup_model.py</font></td><td>Prepares the simulation before actually running it</td></tr>
+    <tr><td><font color="red">run_model.py</font></td><td>Runs the simulation</td></tr>
+  </table>
+
+  <a name="project.py"><h4><b>project.py</b></h4></a>
+  [text about project.py]
+  <p>
+
+  <a name="setup_model.py"><h4><b>setup_model.py</b></h4></a>
+  [text about project.py]
+  <p>
+
+  <a name="run_model.py"><h4><b>run_model.py</b></h4></a>
+  [text about project.py]
+  <p>
+
+  <a name="events"><h3><b>Changing events</b></h3></a>
+
+  [some events text here]
+  <p>
+
+  <a name="elevation"><h3><b>Changing elevation data</b></h3></a>
+
+  [some elevation text here]
+  <p>
+
+</body>
+</html>
Index: /DVD_images/extra_files/BatemansBay/project/setup_model.py
===================================================================
--- /DVD_images/extra_files/BatemansBay/project/setup_model.py	(revision 7264)
+++ /DVD_images/extra_files/BatemansBay/project/setup_model.py	(revision 7265)
@@ -61,8 +61,4 @@
 if not exists(project.gauges_folder):
     print "Sorry, gauges directory '%s' doesn't exist" % project.gauges_folder
-    sanity_error = True
-
-if not exists(project.meshes_folder):
-    print "Sorry, meshes directory '%s' doesn't exist" % project.meshes_folder
     sanity_error = True
 
Index: /DVD_images/extra_files/GoldCoast/auxiliary_scripts.html
===================================================================
--- /DVD_images/extra_files/GoldCoast/auxiliary_scripts.html	(revision 7264)
+++ /DVD_images/extra_files/GoldCoast/auxiliary_scripts.html	(revision 7265)
@@ -22,5 +22,5 @@
   <hr>
 
-  <a name="auxiliary scripts"<h2><b>Auxiliary Scripts</b></h2></a>
+  <a name="auxiliary scripts"><h2><b>Auxiliary Scripts</b></h2></a>
   There are number of auxiliary scripts on this disk that you can use to extract information from the SWW files
   produced by a simulation run.  These scripts are not meant to be the definitive answer on how to get information
@@ -31,5 +31,5 @@
   generate.
 
-  <a name="export_results_max.py scripts"<h3><b>export_results_max.py</b></h3></a>
+  <a name="export_results_max.py scripts"><h3><b>export_results_max.py</b></h3></a>
   The <font color="red">export_results_max.py</font> script can be used to create an ASC file that contains the maximum
   of an ANUGA variable or expression for each point in a user-defined raster on the simulation region.
@@ -88,5 +88,5 @@
   </ul>
 
-  <a name="get_runup.py"<h3><b>get_runup.py</b></h3></a>
+  <a name="get_runup.py"><h3><b>get_runup.py</b></h3></a>
   The <font color="red">get_runup.py</font> script is used to get the maximum runup height in a specified region
   or regions.
@@ -109,5 +109,5 @@
   </ul>
 
-  <a name="get_timeseries.py"<h3><b>get_timeseries.py</b></h3></a>
+  <a name="get_timeseries.py"><h3><b>get_timeseries.py</b></h3></a>
   The <font color="red">get_timeseries.py</font> script is used to get timeseries data for a selection of variable
   data at one or more gauge points in a simulation.
Index: /DVD_images/extra_files/GoldCoast/index.html
===================================================================
--- /DVD_images/extra_files/GoldCoast/index.html	(revision 7264)
+++ /DVD_images/extra_files/GoldCoast/index.html	(revision 7265)
@@ -33,5 +33,5 @@
 -->
 
-  <a name="introduction"<h3><b>Introduction</b></h3></a>
+  <a name="introduction"><h3><b>Introduction</b></h3></a>
   The information on this DVD and the associated report is intended to assist emergency managers in developing preparation and
   response plans that can be used during a tsunami threat or emergency.
@@ -55,5 +55,5 @@
   </ul>
 
-  <a name="requirements"<h3><b>Requirements</b></h3></a>
+  <a name="requirements"><h3><b>Requirements</b></h3></a>
 
   The tsunami inundation simulations are based on the Open Source software package called ANUGA.
@@ -66,5 +66,5 @@
   we recommend using 64 bit Ubuntu Linux as this operating system can use more than 3GB of memory, whereas Windows XP cannot.
 
-  <a name="installing"<h3><b>Installing ANUGA</b></h3></a>
+  <a name="installing"><h3><b>Installing ANUGA</b></h3></a>
 
   You must install ANUGA according to the <a href="documents/anuga_installation_guide.pdf">Installation Guide</a>.
@@ -72,5 +72,5 @@
   basic understanding of how to install software packages on the operating system of choice. 
 
-  <a name="simulating"<h3><b>How to run a simulation</b></h3></a>
+  <a name="simulating"><h3><b>How to run a simulation</b></h3></a>
 
   This is how a user should run the model on this DVD.
@@ -164,5 +164,5 @@
   how to use the ANUGA system in general and provides some examples of its use.
 
-  <a name="userslist"<h3><b>How to join the ANUGA user's mailing list</b></h3></a>
+  <a name="userslist"><h3><b>How to join the ANUGA user's mailing list</b></h3></a>
 
   One of the quickest ways to get your ANUGA questions answered is by asking them on the <b>ANUGA-user</b> mailing list.
@@ -173,10 +173,10 @@
   into a few emails per day.  You can unsubscribe at any time through the subscribe link above.
 
-  <a name="auxscripts"<h3><b>How to use the auxiliary scripts</b></h3></a>
+  <a name="auxscripts"><h3><b>How to use the auxiliary scripts</b></h3></a>
 
   On this disk there are a selection of auxiliary scripts that you can use to extract various pieces of information
   from the generated SWW files.  The <a href="auxiliary_scripts.html">auxiliary scripts</a> page explains how to use the scripts.
 
-  <a name="FAQ"<h3><b>Frequently Asked Questions</b></h3></a>
+  <a name="FAQ"><h3><b>Frequently Asked Questions</b></h3></a>
 
   There is a <b>Frequently Asked Questions</b> (FAQ) page at
Index: /DVD_images/extra_files/Gosford/auxiliary_scripts.html
===================================================================
--- /DVD_images/extra_files/Gosford/auxiliary_scripts.html	(revision 7264)
+++ /DVD_images/extra_files/Gosford/auxiliary_scripts.html	(revision 7265)
@@ -22,5 +22,5 @@
   <hr>
 
-  <a name="auxiliary scripts"<h2><b>Auxiliary Scripts</b></h2></a>
+  <a name="auxiliary scripts"><h2><b>Auxiliary Scripts</b></h2></a>
   There are number of auxiliary scripts on this disk that you can use to extract information from the SWW files
   produced by a simulation run.  These scripts are not meant to be the definitive answer on how to get information
@@ -31,5 +31,5 @@
   generate.
 
-  <a name="export_results_max.py scripts"<h3><b>export_results_max.py</b></h3></a>
+  <a name="export_results_max.py scripts"><h3><b>export_results_max.py</b></h3></a>
   The <font color="red">export_results_max.py</font> script can be used to create an ASC file that contains the maximum
   of an ANUGA variable or expression for each point in a user-defined raster on the simulation region.
@@ -88,5 +88,5 @@
   </ul>
 
-  <a name="get_runup.py"<h3><b>get_runup.py</b></h3></a>
+  <a name="get_runup.py"><h3><b>get_runup.py</b></h3></a>
   The <font color="red">get_runup.py</font> script is used to get the maximum runup height in a specified region
   or regions.
@@ -109,5 +109,5 @@
   </ul>
 
-  <a name="get_timeseries.py"<h3><b>get_timeseries.py</b></h3></a>
+  <a name="get_timeseries.py"><h3><b>get_timeseries.py</b></h3></a>
   The <font color="red">get_timeseries.py</font> script is used to get timeseries data for a selection of variable
   data at one or more gauge points in a simulation.
Index: /DVD_images/extra_files/Gosford/index.html
===================================================================
--- /DVD_images/extra_files/Gosford/index.html	(revision 7264)
+++ /DVD_images/extra_files/Gosford/index.html	(revision 7265)
@@ -33,5 +33,5 @@
 -->
 
-  <a name="introduction"<h3><b>Introduction</b></h3></a>
+  <a name="introduction"><h3><b>Introduction</b></h3></a>
   The information on this DVD and the associated report is intended to assist emergency managers in developing preparation and
   response plans that can be used during a tsunami threat or emergency.
@@ -55,5 +55,5 @@
   </ul>
 
-  <a name="requirements"<h3><b>Requirements</b></h3></a>
+  <a name="requirements"><h3><b>Requirements</b></h3></a>
 
   The tsunami inundation simulations are based on the Open Source software package called ANUGA.
@@ -66,5 +66,5 @@
   we recommend using 64 bit Ubuntu Linux as this operating system can use more than 3GB of memory, whereas Windows XP cannot.
 
-  <a name="installing"<h3><b>Installing ANUGA</b></h3></a>
+  <a name="installing"><h3><b>Installing ANUGA</b></h3></a>
 
   You must install ANUGA according to the <a href="documents/anuga_installation_guide.pdf">Installation Guide</a>.
@@ -72,5 +72,5 @@
   basic understanding of how to install software packages on the operating system of choice. 
 
-  <a name="simulating"<h3><b>How to run a simulation</b></h3></a>
+  <a name="simulating"><h3><b>How to run a simulation</b></h3></a>
 
   This is how a user should run the model on this DVD.
@@ -164,5 +164,5 @@
   how to use the ANUGA system in general and provides some examples of its use.
 
-  <a name="userslist"<h3><b>How to join the ANUGA user's mailing list</b></h3></a>
+  <a name="userslist"><h3><b>How to join the ANUGA user's mailing list</b></h3></a>
 
   One of the quickest ways to get your ANUGA questions answered is by asking them on the <b>ANUGA-user</b> mailing list.
@@ -173,10 +173,10 @@
   into a few emails per day.  You can unsubscribe at any time through the subscribe link above.
 
-  <a name="auxscripts"<h3><b>How to use the auxiliary scripts</b></h3></a>
+  <a name="auxscripts"><h3><b>How to use the auxiliary scripts</b></h3></a>
 
   On this disk there are a selection of auxiliary scripts that you can use to extract various pieces of information
   from the generated SWW files.  The <a href="auxiliary_scripts.html">auxiliary scripts</a> page explains how to use the scripts.
 
-  <a name="FAQ"<h3><b>Frequently Asked Questions</b></h3></a>
+  <a name="FAQ"><h3><b>Frequently Asked Questions</b></h3></a>
 
   There is a <b>Frequently Asked Questions</b> (FAQ) page at
Index: /DVD_images/extra_files/Hobart/auxiliary_scripts.html
===================================================================
--- /DVD_images/extra_files/Hobart/auxiliary_scripts.html	(revision 7264)
+++ /DVD_images/extra_files/Hobart/auxiliary_scripts.html	(revision 7265)
@@ -22,5 +22,5 @@
   <hr>
 
-  <a name="auxiliary scripts"<h2><b>Auxiliary Scripts</b></h2></a>
+  <a name="auxiliary scripts"><h2><b>Auxiliary Scripts</b></h2></a>
   There are number of auxiliary scripts on this disk that you can use to extract information from the SWW files
   produced by a simulation run.  These scripts are not meant to be the definitive answer on how to get information
@@ -31,5 +31,5 @@
   generate.
 
-  <a name="export_results_max.py scripts"<h3><b>export_results_max.py</b></h3></a>
+  <a name="export_results_max.py scripts"><h3><b>export_results_max.py</b></h3></a>
   The <font color="red">export_results_max.py</font> script can be used to create an ASC file that contains the maximum
   of an ANUGA variable or expression for each point in a user-defined raster on the simulation region.
@@ -88,5 +88,5 @@
   </ul>
 
-  <a name="get_runup.py"<h3><b>get_runup.py</b></h3></a>
+  <a name="get_runup.py"><h3><b>get_runup.py</b></h3></a>
   The <font color="red">get_runup.py</font> script is used to get the maximum runup height in a specified region
   or regions.
@@ -109,5 +109,5 @@
   </ul>
 
-  <a name="get_timeseries.py"<h3><b>get_timeseries.py</b></h3></a>
+  <a name="get_timeseries.py"><h3><b>get_timeseries.py</b></h3></a>
   The <font color="red">get_timeseries.py</font> script is used to get timeseries data for a selection of variable
   data at one or more gauge points in a simulation.
Index: /DVD_images/extra_files/Hobart/index.html
===================================================================
--- /DVD_images/extra_files/Hobart/index.html	(revision 7264)
+++ /DVD_images/extra_files/Hobart/index.html	(revision 7265)
@@ -33,5 +33,5 @@
 -->
 
-  <a name="introduction"<h3><b>Introduction</b></h3></a>
+  <a name="introduction"><h3><b>Introduction</b></h3></a>
   The information on this DVD and the associated report is intended to assist emergency managers in developing preparation and
   response plans that can be used during a tsunami threat or emergency.
@@ -55,5 +55,5 @@
   </ul>
 
-  <a name="requirements"<h3><b>Requirements</b></h3></a>
+  <a name="requirements"><h3><b>Requirements</b></h3></a>
 
   The tsunami inundation simulations are based on the Open Source software package called ANUGA.
@@ -66,5 +66,5 @@
   we recommend using 64 bit Ubuntu Linux as this operating system can use more than 3GB of memory, whereas Windows XP cannot.
 
-  <a name="installing"<h3><b>Installing ANUGA</b></h3></a>
+  <a name="installing"><h3><b>Installing ANUGA</b></h3></a>
 
   You must install ANUGA according to the <a href="documents/anuga_installation_guide.pdf">Installation Guide</a>.
@@ -72,5 +72,5 @@
   basic understanding of how to install software packages on the operating system of choice. 
 
-  <a name="simulating"<h3><b>How to run a simulation</b></h3></a>
+  <a name="simulating"><h3><b>How to run a simulation</b></h3></a>
 
   This is how a user should run the model on this DVD.
@@ -164,5 +164,5 @@
   how to use the ANUGA system in general and provides some examples of its use.
 
-  <a name="userslist"<h3><b>How to join the ANUGA user's mailing list</b></h3></a>
+  <a name="userslist"><h3><b>How to join the ANUGA user's mailing list</b></h3></a>
 
   One of the quickest ways to get your ANUGA questions answered is by asking them on the <b>ANUGA-user</b> mailing list.
@@ -173,10 +173,10 @@
   into a few emails per day.  You can unsubscribe at any time through the subscribe link above.
 
-  <a name="auxscripts"<h3><b>How to use the auxiliary scripts</b></h3></a>
+  <a name="auxscripts"><h3><b>How to use the auxiliary scripts</b></h3></a>
 
   On this disk there are a selection of auxiliary scripts that you can use to extract various pieces of information
   from the generated SWW files.  The <a href="auxiliary_scripts.html">auxiliary scripts</a> page explains how to use the scripts.
 
-  <a name="FAQ"<h3><b>Frequently Asked Questions</b></h3></a>
+  <a name="FAQ"><h3><b>Frequently Asked Questions</b></h3></a>
 
   There is a <b>Frequently Asked Questions</b> (FAQ) page at