Index: /DVD_images/DO_THIS_BEFORE_RELEASE.txt
===================================================================
--- /DVD_images/DO_THIS_BEFORE_RELEASE.txt	(revision 7265)
+++ /DVD_images/DO_THIS_BEFORE_RELEASE.txt	(revision 7266)
@@ -2,3 +2,4 @@
 . Update the PDFs in the 'manuals' directory.
 . Delete all temporary/test files.
+. Make sure differences in DVD/original project.py (etc) are as expected.
 . Test that all simulations actually start.
Index: /DVD_images/update_DVD_images.py
===================================================================
--- /DVD_images/update_DVD_images.py	(revision 7265)
+++ /DVD_images/update_DVD_images.py	(revision 7266)
@@ -45,8 +45,8 @@
  'data_dst_path':   'data/tasmania/hobart_tsunami_scenario_2009/anuga',
  'proj_dst_path':   'project',
- 'arcgis_dst_path': 'ArcGIS',
+ 'arcgis_dst_path': 'data/tasmania/hobart_tsunami_scenario_2009/ArcGIS',
 
  # copy or create whole directories
- 'make_dst_dirs':   ['gauges', 'outputs', 'topographies/elevation_fix', 'meshes'],
+ 'make_dst_dirs':   ['meshes', 'gauges', 'outputs', 'topographies/elevation_fix'],
  'copy_data_dirs':  ['boundaries', 'polygons'],
 
@@ -80,41 +80,35 @@
  'data_dst_path':   'data/new_south_wales/batemans_bay_tsunami_scenario_2009/anuga',
  'proj_dst_path':   'project',
- 'arcgis_dst_path': 'ArcGIS',
+ 'arcgis_dst_path': 'data/new_south_wales/batemans_bay_tsunami_scenario_2009/ArcGIS',
 
  # copy or create whole directories
- 'make_dst_dirs':   ['outputs', 'topographies', 'meshes'],
+ 'make_dst_dirs':   ['meshes', 'outputs', 'topographies'],
  'copy_data_dirs':  ['boundaries', 'polygons', 'gauges'],
 
  # copy 'data' files or directories
- 'copy_data_files': ['topographies/1a.asc', 'topographies/1b.asc', 'topographies/2b.asc',
-                     'topographies/2a_3.asc', 'topographies/3b.asc', 'topographies/3a.asc',
-                     'topographies/4a_2.asc', 'topographies/4b.asc', 'topographies/off1.asc',
-                     'topographies/off2.asc', 'topographies/off3.asc', 'topographies/bbhd.asc',
-                     'topographies/sd100031996_p.asc', 'topographies/sd100031996_p2.asc',
-                     'topographies/sd100031996_p3.asc', 'topographies/sd100031996_p4.asc',
-                     'topographies/1a.prj', 'topographies/1b.prj', 'topographies/2b.prj',
-                     'topographies/2a_3.prj', 'topographies/3b.prj', 'topographies/3a.prj',
-                     'topographies/4a_2.prj', 'topographies/4b.prj', 'topographies/off1.prj',
-                     'topographies/off2.prj', 'topographies/off3.prj', 'topographies/bbhd.prj',
-                     'topographies/sd100031996_p.prj', 'topographies/sd100031996_p2.prj',
-                     'topographies/sd100031996_p3.prj', 'topographies/sd100031996_p4.prj',
-                     'topographies/SD100031996_jgriffin_clip.csv', 'topographies/tomaga_offshore_AHD_MGA_1997.csv',
-                     'topographies/Batemans_BBHD_MGA_1995.csv', 'topographies/moruya_AHD_MGA_2000.csv',
-# these files are generated by build_elevation.py, but included as a courtesy (if space permits)
-                     'topographies/batemans_bay_combined_elevation.pts',
-                     'topographies/batemans_bay_combined_elevation.txt'],
+ 'copy_data_files': ['topographies/batemans_bay_combined_elevation.pts',
+                     'outputs/Event1_HAT',
+                     'outputs/Event1_MSL',
+                     'outputs/Event2_HAT',
+                     'outputs/Event2_MSL',
+                     'outputs/Event3_MSL',
+                     'outputs/Puysegur_200yr',
+                     'outputs/Puysegur_500yr',
+                     'outputs/Puysegur_1000yr',
+                     'outputs/Puysegur_5000yr',
+                     'outputs/New_Hebrides_200yr',
+                     'outputs/New_Hebrides_500yr',
+                     'outputs/New_Hebrides_1000yr',
+                     'outputs/New_Hebrides_2000yr',
+                     'outputs/New_Hebrides_5000yr'],
 
  # copy 'project' files or directories
- #'copy_proj_files': ['project.py', 'run_model_250m.py', 'run_model.py', 'setup_model_250m.py',
- #                    'setup_model.py', 'build_elevation_250m.py', 'build_elevation.py',
- #                    'build_urs_boundary.py', 'export_results_max.py', 'extract_from_csv.py',
- #                    'file_length.py', 'get_runup.py', ],
- 'copy_proj_files': ['project.py', 'run_model_250m.py', 'setup_model_250m.py',
-                     'setup_model.py', 'build_elevation_250m.py', 'build_elevation.py',
-                     'build_urs_boundary.py', 'export_results_max.py', 'extract_from_csv.py',
-                     'file_length.py', 'get_runup.py', ],
+ 'copy_proj_files': ['project.py', 'run_model.py',
+                     'setup_model.py', 'build_elevation.py',
+                     'export_results_max.py',
+                     'file_length.py'],
 
  # copy 'arcgis' files or directories
- 'copy_arc_files':  []
+ 'copy_arc_files':  ['BB_cbd_figure_template.mxd']
 }
 
@@ -130,146 +124,31 @@
  'data_dst_path':   'data/new_south_wales/gosford_tsunami_scenario_2009/anuga',
  'proj_dst_path':   'project',
- 'arcgis_dst_path': 'ArcGIS',
+ 'arcgis_dst_path': 'data/new_south_wales/gosford_tsunami_scenario_2009/ArcGIS',
 
  # copy or create whole directories
- 'make_dst_dirs':   ['outputs', 'topographies/original', 'polygons', 'gauges',
-                     'meshes'],
- 'copy_data_dirs':  ['boundaries'],
+ 'make_dst_dirs':   ['meshes', 'outputs', 'topographies',  'gauges'],
+ 'copy_data_dirs':  ['boundaries', 'polygons'],
 
  # copy 'data' files or directories
- 'copy_data_files': ['topographies/original/e151_s34_clip2.asc',
-                     'topographies/original/e151_s34_clip2.prj',
-                     'topographies/original/aus197_topo2raster_clip2.asc',
-                     'topographies/original/aus197_topo2raster_clip2.prj',
-                     'topographies/original/hydro_topo2raster_clip2.asc',
-                     'topographies/original/hydro_topo2raster_clip2.prj',
-                     'topographies/original/file_list.csv',
-                     'topographies/original/G3346294.txt',
-                     'topographies/original/G3346296.txt',
-                     'topographies/original/G3366284.txt',
-                     'topographies/original/G3366286.txt',
-                     'topographies/original/G3366288.txt',
-                     'topographies/original/G3366290.txt',
-                     'topographies/original/G3366294.txt',
-                     'topographies/original/G3366296.txt',
-                     'topographies/original/G3366298.txt',
-                     'topographies/original/G3386284.txt',
-                     'topographies/original/G3386286.txt',
-                     'topographies/original/G3386288.txt',
-                     'topographies/original/G3386290.txt',
-                     'topographies/original/G3386292.txt',
-                     'topographies/original/G3386294.txt',
-                     'topographies/original/G3386296.txt',
-                     'topographies/original/G3386298.txt',
-                     'topographies/original/G3386300.txt',
-                     'topographies/original/G3406284.txt',
-                     'topographies/original/G3406286.txt',
-                     'topographies/original/G3406288.txt',
-                     'topographies/original/G3406290.txt',
-                     'topographies/original/G3406292.txt',
-                     'topographies/original/G3406294.txt',
-                     'topographies/original/G3406296.txt',
-                     'topographies/original/G3406298.txt',
-                     'topographies/original/G3406300.txt',
-                     'topographies/original/G3426284.txt',
-                     'topographies/original/G3426286.txt',
-                     'topographies/original/G3426288.txt',
-                     'topographies/original/G3426290.txt',
-                     'topographies/original/G3426292.txt',
-                     'topographies/original/G3426294.txt',
-                     'topographies/original/G3426296.txt',
-                     'topographies/original/G3426298.txt',
-                     'topographies/original/G3426300.txt',
-                     'topographies/original/G3426302.txt',
-                     'topographies/original/G3426304.txt',
-                     'topographies/original/G3446284.txt',
-                     'topographies/original/G3446286.txt',
-                     'topographies/original/G3446288.txt',
-                     'topographies/original/G3446290.txt',
-                     'topographies/original/G3446292.txt',
-                     'topographies/original/G3446294.txt',
-                     'topographies/original/G3446296.txt',
-                     'topographies/original/G3446298.txt',
-                     'topographies/original/G3446300.txt',
-                     'topographies/original/G3446302.txt',
-                     'topographies/original/G3446304.txt',
-                     'topographies/original/G3446306.txt',
-                     'topographies/original/G3466286.txt',
-                     'topographies/original/G3466288.txt',
-                     'topographies/original/G3466290.txt',
-                     'topographies/original/G3466292.txt',
-                     'topographies/original/G3466294.txt',
-                     'topographies/original/G3466296.txt',
-                     'topographies/original/G3466298.txt',
-                     'topographies/original/G3466300.txt',
-                     'topographies/original/G3466302.txt',
-                     'topographies/original/G3466304.txt',
-                     'topographies/original/G3466306.txt',
-                     'topographies/original/G3486288.txt',
-                     'topographies/original/G3486290.txt',
-                     'topographies/original/G3486292.txt',
-                     'topographies/original/G3486294.txt',
-                     'topographies/original/G3486296.txt',
-                     'topographies/original/G3486298.txt',
-                     'topographies/original/G3486300.txt',
-                     'topographies/original/G3486302.txt',
-                     'topographies/original/G3486304.txt',
-                     'topographies/original/G3486306.txt',
-                     'topographies/original/G3506288.txt',
-                     'topographies/original/G3506290.txt',
-                     'topographies/original/G3506292.txt',
-                     'topographies/original/G3506294.txt',
-                     'topographies/original/G3506296.txt',
-                     'topographies/original/G3506298.txt',
-                     'topographies/original/G3506300.txt',
-                     'topographies/original/G3506302.txt',
-                     'topographies/original/G3506304.txt',
-                     'topographies/original/G3506306.txt',
-                     'topographies/original/G3526288.txt',
-                     'topographies/original/G3526290.txt',
-                     'topographies/original/G3526292.txt',
-                     'topographies/original/G3526294.txt',
-                     'topographies/original/G3526296.txt',
-                     'topographies/original/G3526298.txt',
-                     'topographies/original/G3526300.txt',
-                     'topographies/original/G3526302.txt',
-                     'topographies/original/G3526304.txt',
-                     'topographies/original/G3546290.txt',
-                     'topographies/original/G3546292.txt',
-                     'topographies/original/G3546294.txt',
-                     'topographies/original/G3546296.txt',
-                     'topographies/original/G3546298.txt',
-                     'topographies/original/G3546300.txt',
-                     'topographies/original/G3546302.txt',
-                     'topographies/original/G3546304.txt',
-                     'topographies/original/G3566296.txt',
-                     'topographies/original/G3566298.txt',
-                     'topographies/original/G3566300.txt',
-                     'topographies/original/G3566302.txt',
-                     'topographies/original/G3566304.txt',
-                     'topographies/original/G3586302.txt',
-                     'topographies/original/estuaries.txt',
-                     'topographies/original/ENT5C1S08_03_AHD_prepared.txt',
-                     'topographies/original/ENT5C1S09_03_AHD_prepared.txt',
-                     'topographies/original/ENT5C1S10_03_AHD_prepared.txt',
-                     'topographies/original/hydro_clip_neg.txt',
-                     'polygons/bounding_polygon.csv',
-                     'polygons/aoi_umina_large.csv',
-                     'polygons/aoi_terrigal.csv',
-                     'polygons/aos_umina_large.csv',
-                     'polygons/aos_terrigal.csv',
-                     'polygons/initial_conditions.csv',
-                     'polygons/images.csv',
-                     'gauges/gauges.csv'],
+ 'copy_data_files': ['topographies/gosford_combined_elevation.pts',
+                     'outputs/Event1_HAT',
+                     'outputs/Event1_MSL',
+                     'outputs/Event2_HAT',
+                     'outputs/Event2_MSL',
+                     'outputs/Event3_MSL',
+                     'outputs/Puysegur_200yr',
+                     'outputs/Puysegur_500yr',
+                     'outputs/Puysegur_1000yr',
+                     'outputs/Puysegur_5000yr'
+                    ],
 
  # copy 'project' files or directories
- 'copy_proj_files': ['build_urs_boundary.py', 'export_results_max.py', 'file_length.py',
-                     'get_runup.py', 'prepare_data_AUS197.py', 'prepare_data_hydro.py',
-                     'project.py', 'run_model.py', 'build_elevation.py', 'extract_from_csv.py',
-                     'get_timeseries.py', 'prepare_data_ENT5CIS.py', 'prepare_data.py',
-                     'setup_model.py'],
+ 'copy_proj_files': ['export_results_max.py', 'file_length.py',
+                     'project.py', 'run_model.py', 'build_elevation.py',
+                     'get_timeseries.py', 'setup_model.py'
+                    ],
 
  # copy 'arcgis' files or directories
- 'copy_arc_files':  []
+ 'copy_arc_files':  ['G_umina_figure_template.mxd']
 }
 
@@ -285,8 +164,8 @@
  'data_dst_path':   'data/queensland/gold_coast_tsunami_scenario_2009/anuga',
  'proj_dst_path':   'project',
- 'arcgis_dst_path': 'ArcGIS',
+ 'arcgis_dst_path': 'data/queensland/gold_coast_tsunami_scenario_2009/ArcGIS',
 
  # copy or create whole directories
- 'make_dst_dirs':   ['outputs', 'meshes', 'polygons', 'topographies', 'gauges'],
+ 'make_dst_dirs':   ['meshes', 'outputs', 'polygons', 'topographies', 'gauges'],
  'copy_data_dirs':  ['boundaries'],
 
@@ -295,16 +174,17 @@
                      'outputs/Event2_HAT', 'outputs/Event2_MSL',
                      'outputs/Event3_HAT', 'outputs/Event3_MSL',
-                     'polygons/bounding_polygon_sml.csv',
-                     'polygons/initial_conditions_sml.csv',
+                     'polygons/bounding_polygon.csv',
+                     'polygons/area_of_interest.csv',
+                     'polygons/intermediate.csv',
+                     'polygons/initial_conditions.csv',
+                     'gauges/gauges.csv',
                      'polygons/images.csv',
-                     'topographies/gold_coast_combined_elevation_250m.pts',
-                     'topographies/grid250m_all_pro.asc',
-                     'topographies/grid250m_all_pro.prj'],
+                     'topographies/gold_coast_combined_elevation_250m.pts'
+                    ],
 
  # copy 'project' files or directories
  'copy_proj_files': ['build_elevation.py', 'export_results_max.py', 'file_length.py',
-                     'get_runup.py', 'project.py', 'run_model.py', 'setup_model.py',
-                     'build_urs_boundary.py', 'combine_gauges.py', 'get_timeseries.py',
-                     'run_multiple_events.py'
+                     'project.py', 'run_model.py', 'setup_model.py',
+                     'get_timeseries.py'
                     ],
 
@@ -364,4 +244,10 @@
     arcgis_dst_path = os.path.join(os.getcwd(), j_name, j_dict['arcgis_dst_path'])
 
+    # tell where all stuff is coming from
+    log('Getting data from: %s' % data_src_path)
+    log('Getting project from: %s' % proj_src_path)
+    log('Getting ArcGIS from: %s' % arcgis_src_path)
+    log('')
+
     # create new output directory, delete old if there
     if os.path.exists(j_name):