Index: /anuga_work/production/hobart_2009/Arc_Inundation_polygon.py
===================================================================
--- /anuga_work/production/hobart_2009/Arc_Inundation_polygon.py	(revision 7267)
+++ /anuga_work/production/hobart_2009/Arc_Inundation_polygon.py	(revision 7268)
@@ -28,14 +28,19 @@
 model = 'hobart'
 scenario_folder ="\\\\nas2\\gemd\\georisk_models\\inundation\\data\\tasmania\\" + model + "_tsunami_scenario_2009\\"
-output_folder = "anuga\\outputs\\"
+output_folder = scenario_folder + "anuga\\outputs\\"
 
-time_dir1 = '20090505_150430_run_final_0.8_58292_None_kvanputt'
-time_dir2 = '20090505_150517_run_final_0_58292_None_kvanputt'
-time_dir3 = '20090505_150711_run_final_0_58280_None_kvanputt'
-time_dir4 = '20090505_150805_run_final_0.8_58280_None_kvanputt'
-time_dir5 = '20090505_151322_run_final_0.8_64477_None_kvanputt'
-time_dir6 = '20090505_151447_run_final_0_64477_None_kvanputt'
+##time_dir1 = '20090601_133348_run_final_0.8_58280_None_kvanputt'
+##time_dir2 = '20090601_133503_run_final_0.8_58292_None_kvanputt'
+##time_dir3 = '20090505_150711_run_final_0_58280_None_kvanputt'
+##time_dir4 = '20090505_150805_run_final_0.8_58280_None_kvanputt'
+##time_dir5 = '20090505_151322_run_final_0.8_64477_None_kvanputt'
+##time_dir6 = '20090505_151447_run_final_0_64477_None_kvanputt'
+##
+##time_dirs = [time_dir1, time_dir2] #, time_dir3, time_dir4, time_dir5, time_dir6]
 
-time_dirs = [time_dir1, time_dir2, time_dir3, time_dir4, time_dir5, time_dir6]
+time_dir1 = '20090619_165107_run_final_0_58260_None_kvanputt'
+time_dir2 = '20090619_165136_run_final_0.8_58260_None_kvanputt'
+
+time_dirs = [time_dir1, time_dir2]
 
 for time_dir in time_dirs:
Index: /anuga_work/production/hobart_2009/Arc_asc2raster_GDA94z55.py
===================================================================
--- /anuga_work/production/hobart_2009/Arc_asc2raster_GDA94z55.py	(revision 7267)
+++ /anuga_work/production/hobart_2009/Arc_asc2raster_GDA94z55.py	(revision 7268)
@@ -26,13 +26,17 @@
 output_dir = "anuga\\outputs\\"
 
-time_dir1 = '20090505_150430_run_final_0.8_58292_None_kvanputt'
-time_dir2 = '20090505_150517_run_final_0_58292_None_kvanputt'
-time_dir3 = '20090505_150711_run_final_0_58280_None_kvanputt'
-time_dir4 = '20090505_150805_run_final_0.8_58280_None_kvanputt'
-time_dir5 = '20090505_151322_run_final_0.8_64477_None_kvanputt'
-time_dir6 = '20090505_151447_run_final_0_64477_None_kvanputt'
+##time_dir1 = '20090601_133348_run_final_0.8_58280_None_kvanputt'
+##time_dir2 = '20090601_133503_run_final_0.8_58292_None_kvanputt'
+##time_dir3 = '20090505_150711_run_final_0_58280_None_kvanputt'
+##time_dir4 = '20090505_150517_run_final_0_58292_None_kvanputt'
+##time_dir5 = '20090505_151322_run_final_0.8_64477_None_kvanputt'
+##time_dir6 = '20090505_151447_run_final_0_64477_None_kvanputt'
+##
+##time_dirs = [time_dir4] #1, time_dir2] #, time_dir3, time_dir4, time_dir5, time_dir6]
 
-time_dirs = [time_dir1, time_dir2, time_dir3, time_dir4, time_dir5, time_dir6]
- 
+time_dir1 = '20090619_165107_run_final_0_58260_None_kvanputt'
+time_dir2 = '20090619_165136_run_final_0.8_58260_None_kvanputt'
+
+time_dirs = [time_dir1, time_dir2]
 for time_dir in time_dirs:
     # Local variables...
@@ -40,5 +44,5 @@
     raster_gbd = folder + 'raster.gdb'
     land_folder = scenario_dir + "ArcGIS\\data.gdb\\Land"
-    areas = ['Hobart', 'NW', 'South']
+    areas = ['NW', 'South', 'Hobart']  
     print time_dir
 
@@ -84,4 +88,4 @@
 ##        print 'Output Extract ',output_extract
 ##        gp.ExtractByMask_sa(output_DEM, land, output_extract)
-
-
+##
+##
Index: /anuga_work/production/hobart_2009/Arc_txt2feature_class_runup.py
===================================================================
--- /anuga_work/production/hobart_2009/Arc_txt2feature_class_runup.py	(revision 7267)
+++ /anuga_work/production/hobart_2009/Arc_txt2feature_class_runup.py	(revision 7268)
@@ -20,6 +20,6 @@
 output_folder = "anuga\\outputs\\"
 
-time_dir1 = '20090505_150430_run_final_0.8_58292_None_kvanputt'
-time_dir2 = '20090505_150517_run_final_0_58292_None_kvanputt'
+time_dir1 = '20090601_133348_run_final_0.8_58280_None_kvanputt'
+time_dir2 = '20090601_133503_run_final_0.8_58292_None_kvanputt'
 time_dir3 = '20090505_150711_run_final_0_58280_None_kvanputt'
 time_dir4 = '20090505_150805_run_final_0.8_58280_None_kvanputt'
@@ -27,5 +27,5 @@
 time_dir6 = '20090505_151447_run_final_0_64477_None_kvanputt'
 
-time_dirs = [time_dir1, time_dir2, time_dir3, time_dir4, time_dir5, time_dir6]
+time_dirs = [time_dir1, time_dir2] #, time_dir3, time_dir4, time_dir5, time_dir6]
 
 for time_dir in time_dirs:
@@ -38,6 +38,6 @@
     layer = 'layer'
 
-##    print 'Process: Create File GDB'
-##    gp.CreateFileGDB_management(folder, "raster")
+    print 'Process: Create File GDB'
+    gp.CreateFileGDB_management(folder, "raster")
 
     print 'Process: Make XY Event Layer'
Index: /anuga_work/production/hobart_2009/export_results_max.py
===================================================================
--- /anuga_work/production/hobart_2009/export_results_max.py	(revision 7267)
+++ /anuga_work/production/hobart_2009/export_results_max.py	(revision 7268)
@@ -21,12 +21,8 @@
 
 directory = project.output_folder
-time_dir1 = '20090601_133348_run_final_0.8_58280_None_kvanputt'
-time_dir2 = '20090601_133503_run_final_0.8_58292_None_kvanputt'
-time_dir3 = '20090505_150711_run_final_0_58280_None_kvanputt'
-time_dir4 = '20090505_150805_run_final_0.8_58280_None_kvanputt'
-time_dir5 = '20090505_151322_run_final_0.8_64477_None_kvanputt'
-time_dir6 = '20090505_151447_run_final_0_64477_None_kvanputt'
+time_dir1 = '20090619_165107_run_final_0_58260_None_kvanputt'
+time_dir2 = '20090619_165136_run_final_0.8_58260_None_kvanputt'
 
-time_dirs = [time_dir2] #, time_dir2] #, time_dir3, time_dir4, time_dir5, time_dir6]
+time_dirs = [time_dir1, time_dir2] #, time_dir2] #, time_dir3, time_dir4, time_dir5, time_dir6]
   
 
@@ -84,9 +80,9 @@
         for time_dir in time_dirs:
             name1 = join(directory, time_dir, project.scenario_name)
-            name2 = join(directory, time_dir, project.scenario_name)+'_time_16980_0'
-            name3 = join(directory, time_dir, project.scenario_name)+'_time_33960_0'
-            name4 = join(directory, time_dir, project.scenario_name)+'_time_50940_0'
+            name2 = join(directory, time_dir, project.scenario_name)+'_time_17640_0'
+##            name3 = join(directory, time_dir, project.scenario_name)+'_time_33960_0'
+##            name4 = join(directory, time_dir, project.scenario_name)+'_time_50940_0'
             
-            names = [name1, name2, name3, name4]
+            names = [name1, name2] #, name3, name4]
       
             asc_name = []   
Index: /anuga_work/production/hobart_2009/get_runup_v2.py
===================================================================
--- /anuga_work/production/hobart_2009/get_runup_v2.py	(revision 7267)
+++ /anuga_work/production/hobart_2009/get_runup_v2.py	(revision 7268)
@@ -18,13 +18,17 @@
 directory = project.output_folder
 
-time_dir1 = '20090505_150430_run_final_0.8_58292_None_kvanputt'
-time_dir2 = '20090505_150517_run_final_0_58292_None_kvanputt'
-time_dir3 = '20090505_150711_run_final_0_58280_None_kvanputt'
-time_dir4 = '20090505_150805_run_final_0.8_58280_None_kvanputt'
-time_dir5 = '20090505_151322_run_final_0.8_64477_None_kvanputt'
-time_dir6 = '20090505_151447_run_final_0_64477_None_kvanputt'
+##time_dir1 = '20090601_133348_run_final_0.8_58280_None_kvanputt'
+##time_dir2 = '20090601_133503_run_final_0.8_58292_None_kvanputt'
+##time_dir3 = '20090505_150711_run_final_0_58280_None_kvanputt'
+##time_dir4 = '20090505_150805_run_final_0.8_58280_None_kvanputt'
+##time_dir5 = '20090505_151322_run_final_0.8_64477_None_kvanputt'
+##time_dir6 = '20090505_151447_run_final_0_64477_None_kvanputt'
+##
+##time_dirs = [time_dir2] #, time_dir2, time_dir3, time_dir4, time_dir5, time_dir6]
 
-time_dirs = [time_dir1, time_dir2, time_dir3, time_dir4, time_dir5, time_dir6]
+time_dir1 = '20090619_165107_run_final_0_58260_None_kvanputt'
+time_dir2 = '20090619_165136_run_final_0.8_58260_None_kvanputt'
 
+time_dirs = [time_dir1, time_dir2]
 
 # polygons is a dictionary of polygon data indexed by 'id'
Index: /anuga_work/production/hobart_2009/get_timeseries.py
===================================================================
--- /anuga_work/production/hobart_2009/get_timeseries.py	(revision 7267)
+++ /anuga_work/production/hobart_2009/get_timeseries.py	(revision 7268)
@@ -19,13 +19,18 @@
 directory = project.output_folder
 
-time_dir1 = '20090505_150430_run_final_0.8_58292_None_kvanputt'
-time_dir2 = '20090505_150517_run_final_0_58292_None_kvanputt'
-time_dir3 = '20090505_150711_run_final_0_58280_None_kvanputt'
-time_dir4 = '20090505_150805_run_final_0.8_58280_None_kvanputt'
-time_dir5 = '20090505_151322_run_final_0.8_64477_None_kvanputt'
-time_dir6 = '20090505_151447_run_final_0_64477_None_kvanputt'
+##time_dir1 = '20090601_133348_run_final_0.8_58280_None_kvanputt'
+##time_dir2 = '20090601_133503_run_final_0.8_58292_None_kvanputt'
+##time_dir3 = '20090505_150711_run_final_0_58280_None_kvanputt'
+##time_dir4 = '20090505_150805_run_final_0.8_58280_None_kvanputt'
+##time_dir5 = '20090505_151322_run_final_0.8_64477_None_kvanputt'
+##time_dir6 = '20090505_151447_run_final_0_64477_None_kvanputt'
+##
+##time_dirs = [time_dir3] #3, time_dir4, time_dir5, time_dir6]
 
-time_dirs = [time_dir1, time_dir2] #, time_dir3, time_dir4, time_dir5, time_dir6]
-  
+time_dir1 = '20090619_165107_run_final_0_58260_None_kvanputt'
+time_dir2 = '20090619_165136_run_final_0.8_58260_None_kvanputt'
+
+time_dirs = [time_dir2] #, time_dir2]
+
 print 'time directories', time_dirs
 
Index: /anuga_work/production/hobart_2009/project.py
===================================================================
--- /anuga_work/production/hobart_2009/project.py	(revision 7267)
+++ /anuga_work/production/hobart_2009/project.py	(revision 7268)
@@ -34,5 +34,5 @@
 tide = 0.8                # difference between MSL and HAT in metres
 zone = 55               # specify UTM zone of model
-event_number = 58292    # 58280, 64477 the event number or the mux file name
+event_number = 58260    # 58280, 64477 the event number or the mux file name
 alpha = 0.1             # smoothing parameter for mesh
 friction=0.01           # manning's friction coefficient
@@ -123,10 +123,10 @@
 # LAND - used to set the initial stage/water to be offcoast only
 # Used in run_model.py.  Format for points easting,northing (no header)
-land_initial_conditions_filename = 'initial_conditions.txt'
+land_initial_conditions_filename = 'initial_conditions.csv'
 
 # GAUGES - for creating timeseries at a specific point
 # Used in get_timeseries.py.  
 # Format easting,northing,name,elevation (with header)
-gauges_filename = 'time_of_arrival_hobart.csv' #'TideGaugesPoints.csv' #'tsunamipointsMGA.csv'
+gauges_filename = 'time_of_arrival_all.csv' #'TideGaugesPoints.csv' #'tsunamipointsMGA.csv'
 
 # BUILDINGS EXPOSURE - for identifying inundated houses