Index: anuga_validation/automated_validation_tests/okushiri_tank_validation/Benchmark_2_Bathymetry.lic
===================================================================
--- anuga_validation/automated_validation_tests/okushiri_tank_validation/Benchmark_2_Bathymetry.lic	(revision 6732)
+++ anuga_validation/automated_validation_tests/okushiri_tank_validation/Benchmark_2_Bathymetry.lic	(revision 7276)
@@ -1,4 +1,3 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
+<?xml version='1.0' encoding='iso-8859-1'?>
 <ga_license_file>
   <metadata>
Index: anuga_validation/automated_validation_tests/okushiri_tank_validation/Benchmark_2_input.lic
===================================================================
--- anuga_validation/automated_validation_tests/okushiri_tank_validation/Benchmark_2_input.lic	(revision 6732)
+++ anuga_validation/automated_validation_tests/okushiri_tank_validation/Benchmark_2_input.lic	(revision 7276)
@@ -1,4 +1,3 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
+<?xml version='1.0' encoding='iso-8859-1'?>
 <ga_license_file>
   <metadata>
Index: anuga_validation/automated_validation_tests/okushiri_tank_validation/compare_timeseries_with_measures.py
===================================================================
--- anuga_validation/automated_validation_tests/okushiri_tank_validation/compare_timeseries_with_measures.py	(revision 6732)
+++ anuga_validation/automated_validation_tests/okushiri_tank_validation/compare_timeseries_with_measures.py	(revision 7276)
@@ -6,5 +6,5 @@
 """
 
-import Numeric as num
+import numpy as num
 from Scientific.IO.NetCDF import NetCDFFile
 
Index: anuga_validation/automated_validation_tests/okushiri_tank_validation/create_okushiri.py
===================================================================
--- anuga_validation/automated_validation_tests/okushiri_tank_validation/create_okushiri.py	(revision 6732)
+++ anuga_validation/automated_validation_tests/okushiri_tank_validation/create_okushiri.py	(revision 7276)
@@ -3,5 +3,5 @@
 
 
-import Numeric as num
+import numpy as num
 
 from anuga.pmesh.mesh import *
@@ -9,4 +9,5 @@
 from anuga.coordinate_transforms.geo_reference import Geo_reference
 from anuga.geospatial_data import Geospatial_data
+from anuga.config import netcdf_float
 
 import project
@@ -111,6 +112,6 @@
 
     N = len(lines)
-    T = num.zeros(N, num.Float)  #Time
-    Q = num.zeros(N, num.Float)  #Values
+    T = num.zeros(N, num.float)  #Time
+    Q = num.zeros(N, num.float)  #Values
 
     for i, line in enumerate(lines):
@@ -128,14 +129,14 @@
     fid.starttime = 0.0
     fid.createDimension('number_of_timesteps', len(T))
-    fid.createVariable('time', num.Float, ('number_of_timesteps',))
+    fid.createVariable('time', netcdf_float, ('number_of_timesteps',))
     fid.variables['time'][:] = T
 
-    fid.createVariable('stage', num.Float, ('number_of_timesteps',))
+    fid.createVariable('stage', netcdf_float, ('number_of_timesteps',))
     fid.variables['stage'][:] = Q[:]
 
-    fid.createVariable('xmomentum', num.Float, ('number_of_timesteps',))
+    fid.createVariable('xmomentum', netcdf_float, ('number_of_timesteps',))
     fid.variables['xmomentum'][:] = 0.0
 
-    fid.createVariable('ymomentum', num.Float, ('number_of_timesteps',))
+    fid.createVariable('ymomentum', netcdf_float, ('number_of_timesteps',))
     fid.variables['ymomentum'][:] = 0.0
 
Index: anuga_validation/automated_validation_tests/okushiri_tank_validation/output_ch5-7-9.lic
===================================================================
--- anuga_validation/automated_validation_tests/okushiri_tank_validation/output_ch5-7-9.lic	(revision 6732)
+++ anuga_validation/automated_validation_tests/okushiri_tank_validation/output_ch5-7-9.lic	(revision 7276)
@@ -1,4 +1,3 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
+<?xml version='1.0' encoding='iso-8859-1'?>
 <ga_license_file>
   <metadata>
@@ -8,5 +7,5 @@
   <datafile>
     <filename>output_ch5-7-9.txt</filename>
-    <checksum>-1044604103</checksum>
+    <checksum>3250363193</checksum>
     <publishable>Yes</publishable>
     <accountable>Ole Nielsen</accountable>
Index: anuga_validation/automated_validation_tests/okushiri_tank_validation/test_caching_of_set_quantity.py
===================================================================
--- anuga_validation/automated_validation_tests/okushiri_tank_validation/test_caching_of_set_quantity.py	(revision 6732)
+++ anuga_validation/automated_validation_tests/okushiri_tank_validation/test_caching_of_set_quantity.py	(revision 7276)
@@ -13,5 +13,5 @@
 from anuga.fit_interpolate.fit import _fit_to_mesh
 import project
-import Numeric as num
+import numpy as num
 import time
 